AIX 6.1 TL 9 : sendmail (IJ02915)

Low Nessus Plugin ID 108891

Synopsis

The remote AIX host is missing a security patch.

Description

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-3956 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-3956 The sm_close_on_exec function in conf.c in sendmail before 8.14.9 has arguments in the wrong order, and consequently skips setting expected FD_CLOEXEC flags, which allows local users to access unintended high-numbered file descriptors via a custom mail-delivery program.

Solution

Install the appropriate interim fix.

See Also

http://aix.software.ibm.com/aix/efixes/security/sendmail_advisory3.asc

Plugin Details

Severity: Low

ID: 108891

File Name: aix_IJ02915.nasl

Version: 1.3

Type: local

Published: 2018/04/10

Updated: 2018/06/29

Dependencies: 12634

Risk Information

Risk Factor: Low

CVSS v2.0

Base Score: 1.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: cpe:/o:ibm:aix:6.1

Required KB Items: Host/AIX/lslpp, Host/local_checks_enabled, Host/AIX/version

Patch Publication Date: 2018/04/06

Vulnerability Publication Date: 2018/04/06

Reference Information

CVE: CVE-2014-3956